curl_version(3)

NAME
curl_version - returns the libcurl version string

SYNOPSIS
#include <curl/curl.h>
char *curl_version();

DESCRIPTION
Returns a human readable string with the version number of libcurl and some of its important components (like OpenSSL version). We recommend using curl_version_info(3) instead.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  printf("libcurl version %s\n", curl_version());
}

AVAILABILITY
Added in curl 7.1

RETURN VALUE
A pointer to a null-terminated string. The string resides in a statically allocated buffer and must not be freed by the caller.

SEE ALSO
curl_version_info(3)